Subject: bug#75964: Switching the Emacs build to -Wswitch-enum in src/

From: Stefan Monnier <[email-masked]>
Date: Mon, 03 Feb 2025 06:08:55 -0500

>> The most obvious one is to remove all the `case ..:` just before `default:`.
>> That would be my vote as well (tho only because I don't know that
>> code.  There might be a very good reason to keep it as above, of course).
>
> The reason was to add -Wswitch-enum, which would warn about incomplete
> case enumerations involving an enum type.

In which sense is a "`switch` with a `default` clause" incomplete?

        Stefan